local lush = require('lush')
local hsl = lush.hsl

local colors;

if vim.o.background == "dark" then
    local c = require('lupancolors.lupandark').colors
    colors = {
        bg = c.base.da(70).hex,
        normal = c.blue.hex,
        insert = c.green.hex,
        visual = c.purple.hex,
        replace = c.red.hex,
        command = c.yellow.hex,
        b = { bg = c.base.da(70).hex, fg = c.base.hex },
        c = { bg = c.base.de(50).da(50).hex, fg = c.base.de(50).hex },
        inactive = { bg = c.base.de(50).da(70).hex, fg = c.base.de(50).hex },
    }
else
    local c = require('lupancolors.lupanlight').colors
    colors = {
        bg = c.base.li(80).hex,
        normal = c.blue.hex,
        insert = c.green.hex,
        visual = c.purple.hex,
        replace = c.red.hex,
        command = c.yellow.hex,
        b = { bg = c.base.de(50).li(70).hex, fg = c.base.hex },
        c = { bg = c.base.de(00).li(60).hex, fg = c.base.hex },
        inactive = { bg = c.base.de(50).li(40).hex, fg = c.base.da(30).hex },
    }
end

return {
    normal = {
        a = { bg = colors.normal, fg = colors.bg },
        b = colors.b,
        c = colors.c,
    },
    insert = {
        a = { bg = colors.insert, fg = colors.bg },
        b = colors.b,
        c = colors.c,
    },
    visual = {
        a = { bg = colors.visual, fg = colors.bg },
        b = colors.b,
        c = colors.c,
    },
    replace = {
        a = { bg = colors.replace, fg = colors.bg },
        b = colors.b,
        c = colors.c,
    },
    command = {
        a = { bg = colors.command, fg = colors.bg },
        b = colors.b,
        c = colors.c,
    },
    inactive = {
        a = colors.inactive,
        b = colors.inactive,
        c = colors.inactive,
    },
}
